﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace XamDataGridBindToDataTable
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable RateTable { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            RateTable = new DataTable();

            RateTable.Columns.Add("Dosage", typeof(bool));
            RateTable.Columns.Add("Drug", typeof(string));
            RateTable.Columns.Add("Patient", typeof(string));
            RateTable.Columns.Add("Date", typeof(DateTime));

            RateTable.Rows.Add(false, "Indocin", "David", DateTime.Now);
            RateTable.Rows.Add(false, "Enebrel", "Sam", DateTime.Now);
            RateTable.Rows.Add(false, "Hydralazine", "Christoff", DateTime.Now);
            RateTable.Rows.Add(false, "Combivent", "Janet", DateTime.Now);
            RateTable.Rows.Add(false, "Dilantin", "Melanie", DateTime.Now);

            this.xamGrid.ItemsSource = RateTable.DefaultView;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.RateTable.Rows[3]["Date"] = new DateTime(2008, 3, 1, 7, 0, 0);
        }

    }
}
